Method: projects.locations.obtainCrawlRate

取得自然或專屬檢索頻率的時間序列資料,以供監控。如果未設定專屬檢索頻率,系統會傳回 Vertex AI 的自然檢索頻率時間序列。自然檢索是指 Google 會在方便的時間自動檢索網際網路。設定專屬檢索頻率後,系統會傳回 Vertex AI 的專屬檢索頻率時間序列。

HTTP 要求

POST https://discoveryengine.googleapis.com/v1beta/{location=projects/*/locations/*}:obtainCrawlRate

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
location

string

這是必要旗標,要執行檢索頻率管理的商家檔案資源。格式:projects/{project}/locations/{location}

要求主體

要求主體包含下列結構的資料:

JSON 表示法
{
  "crawlRateScope": string
}
欄位
crawlRateScope

string

這是必要旗標,使用者想監控的檢索頻率範圍。目前僅支援網域和主機名稱。網域名稱範例:example.com。主機名稱範例:www.example.com。網域或主機名稱不得包含 /

回應主體

CrawlRateManagementService.ObtainCrawlRate 方法的回應訊息。視是否設定專屬檢索頻率而定,回應會包含有機或專屬檢索頻率時間序列資料,以供監控。

如果成功,回應主體會含有以下結構的資料:

JSON 表示法
{
  "state": enum (State),
  "error": {
    object (Status)
  },

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "organicCrawlRateTimeSeries": {
    object (OrganicCrawlRateTimeSeries)
  },
  "dedicatedCrawlRateTimeSeries": {
    object (DedicatedCrawlRateTimeSeries)
  }
  // End of mutually exclusive fields.
}
欄位
state

enum (State)

僅供輸出。響應狀態。

error

object (Status)

處理要求時,服務發生錯誤。

使用者設定專屬檢索頻率後,系統會傳回專屬檢索頻率時間序列;否則,系統會傳回自然檢索頻率時間序列。以下列出互斥的欄位。回應中最多只會設定一個欄位:
organicCrawlRateTimeSeries

object (OrganicCrawlRateTimeSeries)

用於監控的歷來自然檢索頻率時間序列資料。

dedicatedCrawlRateTimeSeries

object (DedicatedCrawlRateTimeSeries)

用於監控的歷來專屬檢索頻率時間序列資料。

互斥欄位的結尾。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

詳情請參閱Authentication Overview

OrganicCrawlRateTimeSeries

用於監控的歷來自然檢索頻率時間序列資料。當未設定專門抓取時,Google 會自動決定使用自然抓取來抓取使用者的網站。檢索頻率是指 Google 向使用者網站發送的檢索請求的每秒查詢次數 (QPS)。

JSON 表示法
{
  "googleOrganicCrawlRate": {
    object (CrawlRateTimeSeries)
  },
  "vertexAiOrganicCrawlRate": {
    object (CrawlRateTimeSeries)
  }
}
欄位
googleOrganicCrawlRate

object (CrawlRateTimeSeries)

Google 的自然檢索頻率時間序列,是所有 Googlebot 檢索頻率的總和。如要進一步瞭解 Googlebot,請參閱 https://developers.google.com/search/docs/crawling-indexing/overview-google-crawlers

vertexAiOrganicCrawlRate

object (CrawlRateTimeSeries)

Vertex AI 的自然檢索頻率時間序列,即未設定專用檢索時 Google-CloudVertexBot 的檢索頻率。如要進一步瞭解 Google-CloudVertexBot,請參閱 https://developers.google.com/search/docs/crawling-indexing/google-common-crawlers#google-cloudvertexbot

CrawlRateTimeSeries

用於監控的歷史檢索頻率時間序列資料。

JSON 表示法
{
  "qpsTimeSeries": {
    object (TimeSeries)
  }
}
欄位
qpsTimeSeries

object (TimeSeries)

檢索頻率的 QPS。

DedicatedCrawlRateTimeSeries

用於監控的歷史專用檢索頻率時間序列資料。設定專屬檢索後,Vertex AI 會使用專屬檢索功能檢索使用者的網站。

JSON 表示法
{
  "userTriggeredCrawlRate": {
    object (CrawlRateTimeSeries)
  },
  "autoRefreshCrawlRate": {
    object (CrawlRateTimeSeries)
  },
  "userTriggeredCrawlErrorRate": {
    object (CrawlRateTimeSeries)
  },
  "autoRefreshCrawlErrorRate": {
    object (CrawlRateTimeSeries)
  }
}
欄位
userTriggeredCrawlRate

object (CrawlRateTimeSeries)

Vertex AI 專屬的檢索頻率時間序列,是使用者觸發檢索時的檢索頻率,也就是設定專屬檢索時 Google-CloudVertexBot 的檢索頻率。使用者觸發檢索頻率適用於確定性用途,例如檢索使用者指定的網址或網站地圖。

autoRefreshCrawlRate

object (CrawlRateTimeSeries)

Vertex AI 的專屬檢索頻率時間序列會自動重新整理,也就是設定專屬檢索時 Google-CloudVertexBot 的檢索頻率,且檢索頻率適用於盡量達成目標的用途,例如定期重新整理網址。

userTriggeredCrawlErrorRate

object (CrawlRateTimeSeries)

使用者觸發專屬檢索作業時,Vertex AI 的錯誤率時間序列。

autoRefreshCrawlErrorRate

object (CrawlRateTimeSeries)

Vertex AI 的自動重新整理專用檢索錯誤率時間序列。

狀態

不同的反應狀態。

列舉
STATE_UNSPECIFIED 未指定狀態。
SUCCEEDED 狀態為成功。
FAILED 狀態為失敗。